Get exception list items
- Base URL
-
https://{kibana_url}
- GET /api/exception_lists/items/_find
- GET /s/{space_id}/api/exception_lists/items/_find
Refer to Spaces for more information.
Get a list of all exception list items in the specified list.
Query parameters
-
filterstring · format: nonempty · default: [] -
Filters the returned results according to the value of the specified field, using the
<field name>:<field value>syntax. -
namespace_type· default: [ "single" ] -
Determines whether the returned containers are Kibana associated with a Kibana space or available in all spaces (
agnosticorsingle) -
Values:
agnosticsingle
Responses
Successful response
-
dataobjectrequired -
commentsobjectrequired -
idstring · format: nonempty · min length: 1required -
A string that does not contain only whitespace characters
-
item_idstring · format: nonempty · min length: 1required -
A string that does not contain only whitespace characters
-
list_idstring · format: nonempty · min length: 1required -
A string that does not contain only whitespace characters
-
namestring · format: nonempty · min length: 1required -
A string that does not contain only whitespace characters
-
namespace_typerequired -
Determines whether the exception container is available in all Kibana spaces or just the space in which it is created, where:
single: Only available in the Kibana space in which it is created.agnostic: Available in all Kibana spaces.
-
Values:
agnosticsingle
Invalid input data response
Unsuccessful authentication response
Not enough privileges response
Exception list not found response